{$I+}   {I/O checking}
{$N-}   {Numeric coprocessor}
{$V-}   {Relaxes string typing}
{$B-}   {Boolean complete evaluation}
{$S+}   {Stack checking}
{$R-}   {Range checking}
{$D-}   {Global debug information}
{$L-}   {Local debug information}

Unit GtStruc;

Interface

Type

  PlayerStats = Record

  RealName    :String[32];                  { Players Real Name }
  PlayerName  :String[32];                  { Players Alias }
  Gun         :String[32];                  { Current Gun   }
  PlayerS     :Array[1..2] of String[79];   { What happened last time they where on }
  MacroN      :String[79];                  { Future Use (For a Macro) }
  SellGun     :LongInt;                     { Price of Gun }
  GunStr      :LongInt;                     { Gun Strength }
  Turns       :LongInt;                     { Turns Left }
  Kills       :LongInt;                     { Total Kills }
  Gold        :LongInt;                     { Cowboys Gold }
  Wagons      :LongInt;                     { Cowboys Wagons }
  Food        :LongInt;                     { Food }
  Wood        :LongInt;                     { Wood }
  Water       :LongInt;                     { Water }
  Strength    :LongInt;                     { Cowboys Strength }
  Dead        :Boolean;                     { Cowboy Dead (True,False) }
  SmallPox    :Boolean;                     { Future Use (For SmallPox Sickness) }
  Town        :Word;                        { Current Town In }
  LTown       :Word;                        { Last Town In }

End;

  Town = Record

  Paths:Array[1..6] Of Integer;             { Paths Lead To }
  TownName:String[32];                      { Towns Name }
  Cowboy:String[32];                        { Last Town In }
  TradingPost:Boolean;                      { Trading Post in Town? }
  PostNum:Word;                             { Trading Post Number }
  Future:Boolean;                           { Future Use }
  Bank:Boolean;                             { Bank In Town? }
  PostType:Integer;                         { Trading Post Type }

End;

  TPost = Record

  PostName:String[32];                      { Trading Post Name (Not Used) }
  Food:LongInt;                             { Food Selling/Buying }
  Wood:LongInt;                             { Wood Selling/Buying }
  Water:LongInt;                            { Water Selling/Buying }

End;

{==============================================================================}
Implementation

Begin
End.
