rem  Sample batch file for The Art Node Lister 1.10
rem  Just to show the use of switches... Of course, you should enhance it
rem  using the returned errorlevels!

rem  If you have a Artnode.Cfg file containing:
rem  NODELIST_DIR           D:\Nodelist
rem  NODELIST_NAME          Nodelist
rem  NODEDIFF_DIR           C:\Fd\Inbound
rem  NODEDIFF_NAME          Nodediff
rem  ADDRESS                2:32
rem  OUTDIR                 C:\Files
rem  PACKER                 A
rem  HUB                    Yes

rem  Single run to edit the FidoNet nodelist in D:\Nodelist with the nodediff
rem  found in C:\Fd\Inbound, create an Arc compressed version of new Nodelist
rem  and  create the Zone 2 Region 32 nodelist Arc compressed in  C:\Files,
rem  create Ascii-Ansi-Avt bulletins and Dbf file of nodes in Zone 2 Region 32,
rem  including Hubs.
Artnode /e /s /l3 /b

rem I use a "Zone 2 only" nodelist not packed
Artnode /s /a2:0 /kn

rem Now edit the BeerNet nodelist(Beerlist) with the nodediff (Beerdiff). As it
rem is quite small, I don't need to compress it
Artnode /e /nBeerList /dBeerDiff /kn

rem I receive automatically the (small) GinNet nodelist in dir C:\Gin
rem but unfortunately sometimes the CRC is wrong, so a verification is needed
Artnode /v /pC:\Gin /nGinList

rem And now, it's Tequila time!
