Program Shiftem;

Uses Dos;

Const
  ProgName = 'ShiftEm';
  Vers = '1.01';
  Date = 'Fri 9th April 1993';
  MaxDirSize = 512;

type
  TextPtr  = ^TextRec;
  TextRec  = record
               Txtline : String;
             end;

  DirPtr   = ^DirRec;
  DirRec   = record
               Attr: Byte;
               Time: Longint;
               Size: Longint;
               Name: string[12];
             end;
  DirList  = array[0..MaxDirSize - 1] of DirPtr;
  TextList = array[0..999] of TextPtr;

Var
  ScanPath : PathStr;
  TxtCnt,
  Count : Integer;
  Txt : TextList;
  Dir : DirList;


Procedure DoWork(Spath : PathStr);

procedure FindFiles;
var
  F: SearchRec;
begin
  Count := 0;
  FindFirst(SPath, Archive, F);
  while (DosError = 0) and (Count < MaxDirSize) do
  begin
    GetMem(Dir[Count], Length(F.Name) + 10);
    Move(F.Attr, Dir[Count]^, Length(F.Name) + 10);
    Inc(Count);
    FindNext(F);
  end;
end;

Var
 t       : Text;
 i, j, k : Integer;
 s       : String;
 ArcMail,
 Change  : Boolean;

begin
 FindFiles;
 FileMode:=42;
 If Count = 0 then
  begin
   WriteLn;
   WriteLn('Nothing to Do!!!');
   Halt(2);
  end;
 For i := 0 to Count -1 do
  Begin
   TxtCnt:=0;
   Assign(t, ScanPath+Dir[i]^.Name);
   {$I-}
   Reset(t);
   {$I+}
   if IOResult = 0 then While (Not Eof(t)) do
    begin
     New(Txt[TxtCnt]);
     Readln(t, Txt[TxtCnt]^.TxtLine);
     Inc(TxtCnt);
    end;
   k:=0;
   Change:=False;
   if TxtCnt <> 0 then for j := 0 to TxtCnt -1 do
    begin
     S := Copy(Txt[j]^.Txtline,Length(Txt[j]^.Txtline)-2,2);
     S[1] := Upcase(S[1]);
     S[2] := Upcase(S[2]);
     if (S = 'MO') or
        (S = 'TU') or
        (S = 'WE') or
        (S = 'TH') or
        (S = 'FR') or
        (S = 'SA') or
        (S = 'SU') or
        (S = 'TZ') then ArcMail := True
     else ArcMail:=False;
     if ArcMail and (j = k) then Inc(k);
     If ArcMail and (J > K) then
      begin
       S:= Txt[k]^.Txtline;
       Txt[k]^.TxtLine := Txt[j]^.TxtLine;
       Txt[j]^.TxtLine := S;
       Inc(k);
       Change:=True;
      end;
    end;
   if Change then
    begin
     Rewrite(t);
     For j := 0 to TxtCnt -1 do
      WriteLn(t,Txt[j]^.TxtLine);
     While ((TxtCnt-1) <> 0) do
      begin
       Dispose(Txt[TxtCnt-1]);
       Dec(TxtCnt);
      end;
    end;
  Close(t);
  end;
end;

Procedure Usage;
begin
 Writeln('Usage: ');
 WriteLn('Progname <Drive:path\> of outbound area to scan.');
 WriteLn;
 Halt(1);
end;

begin
 Writeln;
 Writeln(ProgName+' Vers: '+vers+'    Compiled: '+Date+'  (C) Dave Gorski');
 if Paramcount <> 1 then usage;
 ScanPath := ParamStr(1);
 if ScanPath[length(ScanPath)] <> '\' then
  ScanPath := ScanPath + '\';
 dowork(ScanPath+'*.?LO');
end.
