echo off
:
:  Batch command to swap AUTOEXEC.BAT files and REBOOT
:
:
:  Command Syntax:    SWAPAUTO p1 p2
:
:                     where p1 = "N" or "n"  for  Normal Autoexec
:                                "G" or "g"  for  GT/Native DOS Autoexec
:                                "D" or "d"  for  GT/DoubleDOS Autoexec
:
:                           p2 = "Y" or "y"  for  auto-reboot
:
:                     (Note: No parameters specified causes query for input)
:
if %1.==. goto QUERY
if %1==N goto nrmauto
if %1==n goto nrmauto
if %1==G goto gtauto
if %1==g goto gtauto
if %1==D goto ddauto
if %1==d goto ddauto
echo .
echo . *** Invalid parameter (N=normal, G=GT native DOS, D=GT DoubleDOS)
echo .
goto bexit
:QUERY
echo .
echo .  Select AUTOEXEC.BAT file:
echo .  -------------------------
echo .
ask . Do You Want Normal AUTOEXEC (N/y) ?
if errorlevel 1 goto nrmauto
if errorlevel 0 goto next1
:nrmauto
copy c:\BATCH\AUTOEXEC.NRM c:\AUTOEXEC.BAT >NUL
echo .
echo . Normal AUTOEXEC.BAT selected
echo .
goto reboot
:next1
ask . Do You Want GT PowerComm HOST Mode AUTOEXEC (N/y) ?
if errorlevel 1 goto gtauto
if errorlevel 0 goto next2
:gtauto
copy c:\BATCH\AUTOEXEC.GT c:\AUTOEXEC.BAT >NUL
echo .
echo . GT/Native DOS AUTOEXEC.BAT selected
echo .
goto reboot
:next2
ask . Do You Want The DBL DOS AUTOEXEC (N/y) ?
if errorlevel 1 goto ddauto
if errorlevel 0 goto nosel
:ddauto
copy c:\BATCH\AUTOEXEC.DD c:\AUTOEXEC.BAT >NUL
echo .
echo . GT/DoubleDOS AUTOEXEC.BAT selected
echo .
goto reboot
:nosel
echo .
echo . No AUTOEXEC.BAT selected!
echo .
goto bexit
:reboot
if %2.==. goto chkboot
if %2==Y goto bootit
if %2==y goto bootit
:chkboot
ask . Do You Want To Reboot System (N/y) ?
if errorlevel 1 goto bootit
if errorlevel 0 goto exit
:bootit
echo .
echo . Reboot selected
echo .
reboot
:exit
