#include <iostream.h>
#include <io.h>
#include <fcntl.h>

#define EXTERN
#include "pcbsys.h"
#include "myfile.h"

//::::::::::::::::[ CLASS pcbsys MEMBER DECLARATIONS ]::::::::::::::::::::::
// LOAD PCBOARD.SYS FILE INTO CLASS &data (RETURNS 0=SUCCESSFUL  -1=ERROR)
//
int pcbsys::getdata(pcbsys &data){
        myfile f;
		if((f.mopen("PCBOARD.SYS"))==-1) return(-1);
		if((read(f.handle,&data,sizeof(data))) == -1) {
                cout << "\aCould not read PCBOARD.SYS\n";
                return(f.handle);
        }
        f.mclose();
        return(0);
}

// SAVE DATA IN &data TO PCBOARD.SYS FILE (RETURNS 0=SUCCESSFUL  -1=ERROR)
//
int pcbsys::savedata(pcbsys &data){
        myfile f;
        if((f.mopen("PCBOARD.SYS",O_WRONLY|O_BINARY|O_DENYALL))==-1) return(-1);
        if((write(f.handle, &data, sizeof(pcbsys))) != sizeof(pcbsys)){
                cout << "\aError writing to PCBOARD.SYS\n";
                return(-1)
        ;}
        f.mclose();
        return(0);
}


